<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

$thumb_width = "100"; //썸네일 가로길이
$thumb_height = "70"; //썸네일 세로길이
$quality= 90; //썸네일 퀄리티
$filter[type] = 99;
$filter[arg1] = 100;
$filter[arg2] = 1;
$filter[arg3] = 2;
// colspan
$colspan = "3";

// 가로 이미지 수
$mod = "4";

$IMG_WIDTH = "20%";
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?
// 초기화
$AddNoticeCnt = "";
$AddGalleryNotice = "";
$AddGallery = "";
$j = "0";

	for ($i=0; $i<count($list); $i++) { 

	$file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];
	if($list[$i][file][0][view]) { // 첨부파일이 있으면
		$src = $list[$i][file][0][path]."/".$list[$i][file][0][file];
		$thumb = thumbnail($src, $thumb_width, $thumb_height, 0, 1, $quality, 0, "",  $filter, $noimg);
	}  else { // 치에디터 파일 추출
		$edit_img = $list[$i]['wr_content'];
		if (eregi("data/cheditor4[^<>]*\.(gif|jp[e]?g|png|bmp)", $edit_img, $tmp)) {
			$file = $g4[path].'/' . $tmp[0]; // 파일명
			$thumb = thumbnail($file, $thumb_width, $thumb_height, 0, 1, $quality, 0, "",  $filter, $noimg);
		}
	}


//이미지
    if (file_exists($thumb))
        $thumfile = "<img src='{$thumb}' border='0' width='{$thumb_width} height='{$thumb_height} \>";
		else
		//이미지가 없으면
		$thumfile="<img src='{$latest_skin_path}/img/no_image.gif' width='{$thumb_width}' height='{$thumb_height}'>";
		//이미지가 아니네
        if(preg_match("/\.(swf|wma|asf)$/i","$file") && file_exists($file)){
		$thumfile = "<script>doc_write(flash_movie('$file', 'flash$i', '$thumb_width', '$thumb_height', 'transparent'));</script>"; 
	    }   
		
    // 제목
    $subject = $list[$i]['subject'];

    // href
    $href = $list[$i]['href'];

    $j++;

    if ($j && $j%$mod == '1') {

        $AddGallery .= "</tr>\n<tr><td colspan='".$mod."' height='1'></td></tr>\n<tr>\n";

    }

    $AddGallery .= "<td width='".$IMG_WIDTH."' style='padding:0 10px 0 10px;' align='center' valign='top'>";
    $AddGallery .= "<table width='".$thumb_width."' border='0' cellspacing='0' cellpadding='0' style='margin-bottom:15px;'>";
    $AddGallery .= "<tr><td align='center' valign='top'>";
    $AddGallery .= "<div style='border:3px solid #f1f1f1;'><div style='border:1px solid #dddddd; padding:1px;'>".$thumfile."</div></div>";
    $AddGallery .= "<div style='margin-top:5px;'><a href='".$href."' class='text'>".$subject."</a></div>";
    $AddGallery .= "</td></tr>";
    $AddGallery .= "</table>";
    $AddGallery .= "</td>\n";

}

// 나머지 셀을 채운다.
$k = $j;
$cnt = $k%$mod;
if ($cnt) {

    for ($k=$cnt; $k<$mod; $k++) {

        $AddGallery .= "<td width='".$IMG_WIDTH."'></td>\n";

    }

}
?>
<tr><?=$AddGallery?></tr>
<? if (!$i) { echo "<tr><td colspan='".$mod."' height='100' align='center'><span class='text'>등록된 컨텐츠가 없습니다.</span></td></tr>"; } ?>
</table>

